DispatchVTable (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: DispatchVTable

Package com.sun.jna.platform.win32.COM

# Class DispatchVTable

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.COM.DispatchVTable

Direct Known Subclasses:
  `DispatchVTable.ByReference`

@FieldOrder({"QueryInterfaceCallback","AddRefCallback","ReleaseCallback","GetTypeInfoCountCallback","GetTypeInfoCallback","GetIDsOfNamesCallback","InvokeCallback"}) public class DispatchVTable extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `DispatchVTable.AddRefCallback`
  `static class`
  `DispatchVTable.ByReference`
  `static interface`
  `DispatchVTable.GetIDsOfNamesCallback`
  `static interface`
  `DispatchVTable.GetTypeInfoCallback`
  `static interface`
  `DispatchVTable.GetTypeInfoCountCallback`
  `static interface`
  `DispatchVTable.InvokeCallback`
  `static interface`
  `DispatchVTable.QueryInterfaceCallback`
  `static interface`
  `DispatchVTable.ReleaseCallback`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `DispatchVTable.AddRefCallback`
  `AddRefCallback`
  `DispatchVTable.GetIDsOfNamesCallback`
  `GetIDsOfNamesCallback`
  `DispatchVTable.GetTypeInfoCallback`
  `GetTypeInfoCallback`
  `DispatchVTable.GetTypeInfoCountCallback`
  `GetTypeInfoCountCallback`
  `DispatchVTable.InvokeCallback`
  `InvokeCallback`
  `DispatchVTable.QueryInterfaceCallback`
  `QueryInterfaceCallback`
  `DispatchVTable.ReleaseCallback`
  `ReleaseCallback`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchVTable()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### QueryInterfaceCallback

    public DispatchVTable.QueryInterfaceCallback QueryInterfaceCallback

  - ### AddRefCallback

    public DispatchVTable.AddRefCallback AddRefCallback

  - ### ReleaseCallback

    public DispatchVTable.ReleaseCallback ReleaseCallback

  - ### GetTypeInfoCountCallback

    public DispatchVTable.GetTypeInfoCountCallback GetTypeInfoCountCallback

  - ### GetTypeInfoCallback

    public DispatchVTable.GetTypeInfoCallback GetTypeInfoCallback

  - ### GetIDsOfNamesCallback

    public DispatchVTable.GetIDsOfNamesCallback GetIDsOfNamesCallback

  - ### InvokeCallback

    public DispatchVTable.InvokeCallback InvokeCallback

- ## Constructor Details

  - ### DispatchVTable

    public DispatchVTable()